package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEquipmentParam;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IEquipmentParamService {

    /**
     * 新增
     *
     * @param equipmentParam
     * @return
     */
    MesEquipmentParam insert(MesEquipmentParam equipmentParam);

    /**
     * 修改
     *
     * @param equipmentParam
     * @return
     */
    MesEquipmentParam update(MesEquipmentParam equipmentParam);

    /**
     * 查询
     *
     * @param equipmentParam
     * @param pager
     * @return
     */
    ListPager<MesEquipmentParam> queryByPager(MesEquipmentParam equipmentParam, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


}
