package cn.estsh.i3plus.ext.mes.api.base.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEquipmentCheck;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IBuEquipmentCheckService {

    /**
     * 新增
     * @param equipmentCheck
     * @return
     */
    MesEquipmentCheck insert(MesEquipmentCheck equipmentCheck);
    /**
     * 修改
     * @param equipmentCheck
     * @return
     */
    MesEquipmentCheck  update(MesEquipmentCheck equipmentCheck);

    /**
     * 查询
     * @param equipmentCheck
     * @param pager
     * @return
     */
    ListPager<MesEquipmentCheck> queryByPager(MesEquipmentCheck equipmentCheck, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


}
