package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEmployeeSkillsManagement;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IMesEmployeeSkillsManagementService {
    /**
     * 员工技能管理分页查询
     * @param employeeSkillsManagement
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getEmployeeSkillsManagementPage(MesEmployeeSkillsManagement employeeSkillsManagement, Pager pager, String organizeCode);

    /**
     * 新增员工技能管理
     * @param employeeSkillsManagement
     * @param organizeCode
     * @param userName
     */
    void insertEmployeeSkillsManagement(MesEmployeeSkillsManagement employeeSkillsManagement, String organizeCode, String userName);

    /**
     * 更新员工技能管理
     * @param employeeSkillsManagement
     * @param organizeCode
     * @param userName
     */
    void updateEmployeeSkillsManagement(MesEmployeeSkillsManagement employeeSkillsManagement, String organizeCode, String userName);
}
