package cn.estsh.i3plus.ext.mes.api.busi.jx;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IJxWorkOrderService {

    /**
     * 删除返工条码
     * @param workOrderNo
     * @return
     */
    void deleteSnRepairByType(String workOrderNo, String[] produceSnArr, String organizeCode, String userName);

    /**
     * 删除返工条码
     * @param workOrderNo
     * @return
     */
    void deleteProduceSnRepair(String workOrderNo, String[] produceSnArr, String organizeCode, String userName);

    /**
     * 删除返工条码
     * @param workOrderNo
     * @return
     */
    void deletePackageNoRepair(String workOrderNo, String[] packageNoArr, String organizeCode, String userName);

    /**
     * 查询组件返工条码
     * @param workOrderNo
     * @return
     */
    ListPager queryRepairSnByPager(String workOrderNo, String packageNo, String organizeCode, Pager pager);

    /**
     * 查询组件返工条码
     * @param workOrderNo
     * @return
     */
    ListPager queryRepairPackageByPager(String workOrderNo, String packageNo, String organizeCode, Pager pager);

    /**
     * 查询本体返工条码
     * @param workOrderNo
     * @return
     */
    ListPager queryRepairProduceSnByPager(String workOrderNo, String sn, String organizeCode, Pager pager);
}
