package cn.estsh.i3plus.ext.mes.apiservice.dao;


import cn.estsh.i3plus.ext.mes.pojo.bean.MesFirstOrderDetail;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IFirstOrderDetailDao {

    /**
     * 获取MES_首检单明细数据
     * @param mesFirstOrderDetail
     * @return
     */
    List<MesFirstOrderDetail> queryFirstOrderDetailReportByPager(MesFirstOrderDetail mesFirstOrderDetail, Pager pager);

    /**
     * 获取MES_首检单明细分页总数
     * @param mesFirstOrderDetail
     * @return
     */
    int getFirstOrderDetailReportCount(MesFirstOrderDetail mesFirstOrderDetail);
}
