package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("不良统计报表model")
public class BadStatisticsReportParamModel implements Serializable {

    private static final long serialVersionUID = -4140440657257224949L;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("生产日期开始")
    public String workTimeStart;

    @ApiParam("生产日期结束")
    public String workTimeEnd;

    @ApiParam("查询维度")
    private Integer dimension;

    @ApiParam("查询维度")
    private Integer dimension1;

}
