package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:44
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExcelFailCaseCheck {

    @ApiParam(value = "工序代码")
    @AnnoOutputColumn
    private String processCode;

    @ApiParam("工序描述")
    @AnnoOutputColumn(required = false)
    private String processName;

    @ApiParam("物料编码")
    @AnnoOutputColumn
    private String partNo;

    @ApiParam("不良内容")
    @AnnoOutputColumn
    private String badContent;

    @ApiParam("对应策略")
    @AnnoOutputColumn(required = false)
    private String strategies;

    @ApiParam("提出方")
    @AnnoOutputColumn(required = false)
    private String putForward;

    @ApiParam("实施日")
    @AnnoOutputColumn(required = false)
    private String implDate;

}
