package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("失败事例点检")
public class FailCaseCheckModel implements Serializable {

    private static final long serialVersionUID = 1419887984466119413L;

    @ApiParam("id")
    private Long id;

    @ApiParam(value = "工序代码")
    private String processCode;

    @ApiParam("工序描述")
    private String processName;

    @ApiParam("物料")
    private String partNo;

    @ApiParam("不良内容")
    private String badContent;

    @ApiParam("对应策略")
    private String strategies;

    @ApiParam("提出方")
    private String putForward;

    @ApiParam("实施日")
    private String implDate;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
