package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel("补件物料确认Dto")
public class MesPatchPartConfirmModel implements Serializable {
    private static final long serialVersionUID = 4766748304066676593L;

    @ApiParam("条码集合")
    private List<String> snList;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("原子物料代码")
    private String beforePartNo;

    @ApiParam("新子物料代码")
    private String afterPartNo;

    @ApiParam("新子物料名称")
    private String afterPartName;

    @ApiParam("用户名")
    private String userName;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("子物料名称")
    private String itemPartName;

    @ApiParam("子物料代码")
    private String itemPartNo;

}
