package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesWorkCenterNotificationBar;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/17 17:56 下午
 * @Description:
 **/
public interface IWorkCenterNotificationBarService {
    /**
     * 新增产线公告
     * @param porkCenterNotificationBar
     * @return
     */
    MesWorkCenterNotificationBar insertWorkCenterNotificationBar(MesWorkCenterNotificationBar porkCenterNotificationBar);
    /**
     * 修改产线公告
     * @param porkCenterNotificationBar
     * @return
     */
    MesWorkCenterNotificationBar updateWorkCenterNotificationBar(MesWorkCenterNotificationBar porkCenterNotificationBar);
    /**
     * 查询产线公告分页
     * @param porkCenterNotificationBar
     * @param pager
     * @return
     */
    ListPager<MesWorkCenterNotificationBar> queryWorkCenterNotificationBarByPager(MesWorkCenterNotificationBar porkCenterNotificationBar, Pager pager);

    /**
     * 启用禁用产线公告
     * @param id
     * @param status
     * @return
     */
    int updateStatusWorkCenterNotificationBar(long id, Integer status);
}
