package cn.estsh.i3plus.ext.mes.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 文件描述
 *
 * @author xiangming.liao
 * @date 2021年06月29日 14:01
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_ACCIDENT_DATE")
@Api("MES_事故日期")
public class MesAccidentDate extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5797992014901448555L;

    @Column(name = "ACCIDENT_DATE")
    @ApiParam(value = "事故日期")
    private String accidentDate;

    @Column(name = "ACCIDENT_STATUS")
    @ApiParam("状态")
    private Integer accidentStatus;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;
}
