package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xiangming.liao
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("异常下线信息model")
public class ErrorOffLineModel implements Serializable {

    private static final long serialVersionUID = -7976456478089238512L;

    @ApiParam("id")
    private Long id;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("下线产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("下线时间")
    private String outWcTime;

    @ApiParam("补件状态")
    private Integer freStatus;

    @ApiParam("补件状态")
    private String freStatusName;

    @ApiParam("补件人")
    private String freUser;

    @ApiParam("补件时间")
    private String freTime;

    @ApiParam("确认状态")
    private Integer confirmStatus;

    @ApiParam("确认状态")
    private String confirmStatusName;

    @ApiParam("确认人")
    private String confirmUser;

    @ApiParam("确认时间")
    private String confirmTime;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("下线时间开始")
    private String outWcTimeStart;

    @ApiParam("下线时间结束")
    private String outWcTimeEnd;

    @ApiParam("补件时间开始")
    private String freTimeStart;

    @ApiParam("补件时间结束")
    private String freTimeEnd;

    @ApiParam("确认时间开始")
    private String confirmTimeStart;

    @ApiParam("确认时间结束")
    private String confirmTimeEnd;

}
