package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("停开机记录统计MODEL")
public class SxProdDataSpcrStatisticsModel implements Serializable {

    private static final long serialVersionUID = 5875015368292469223L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    private String workCenterName;

    @ApiParam("系别")
    private String isDont;

    @ApiParam("班别")
    private String dontClass;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("项目代码")
    private String prodCode;

    @ApiParam("操作类型代码")
    private Integer prodType;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("使用时间")
    private String intervalMin;

    @ApiParam("人数")
    private Double workerQty;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("统计")
    private String statistics;

    public SxProdDataSpcrStatisticsModel() {}

    public SxProdDataSpcrStatisticsModel(String org, String orgName) {
        this.org = org;
        this.orgName = orgName;
    }

    public SxProdDataSpcrStatisticsModel(SxProdDataSpcrStatisticsModel source) {
        if (null == source) return;
        this.organizeCode = source.organizeCode;
        this.org = source.org;
        this.orgName = source.orgName;
        this.workCenterCode = source.workCenterCode;
        this.workCenterName = source.workCenterName;
        this.isDont = source.isDont;
        this.dontClass = source.dontClass;
        this.shiftCode = source.shiftCode;
        this.shiftName = source.shiftName;
        this.workTime = source.workTime;
    }

}
